<?xml version="1.0" encoding="utf-8"?>
<problem 
    version="1.0"
    id ="roi.day1.calendar"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="calendar.in"
                output-name ="calendar.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit = "1s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="calendar.in"
                output-name ="calendar.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
            	<test-group
            		comment = "Подзадача 1. (1 &lt;= N &lt;= 1000, 1 &lt;= M &lt;= 100, в каждом столбце есть цифра)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "40"
            	>
			<test points = "0" comment = "N = 10, M = 2. Числа от 20 до 29. Первая цифра не меняется" />
			<test points = "0" comment = "N = 10, M = 2. Числа от 10 до 19. Первая цифра не меняется" />
			<test points = "0" comment = "N = 3, M = 3. Числа от 123 до 125. Нужно восстановить одну цифру" />
			<test points = "0" comment = "N = 10, M = 2. Числа от 09 до 18. Первая цифра меняется с 0 на 1" />
			<test points = "0" comment = "N = 50, M = 6. Числа от 10 до 60. Все цифры указаны" />
			<test points = "0" comment = "N = 51, M = 6. Числа от 10 до 61. Не указано только последнее число" />
			<test points = "0" comment = "N = 52, M = 6. Числа от 09 до 61. Не указано только первое и последнее число" />
			<test points = "0" comment = "N = 3, M = 3. Ширина 3, указана ровно одна цифра в каждом столбце" />
			<test points = "0" comment = "N = 100, M = 100. Ширина 100, указана ровно одна цифра в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 10. Ширина 10, указана ровно одна цифра в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 10. Ширина 10, указана ровно одна цифра в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 100. Ширина 100, указана ровно одна цифра в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 100. Ширина 100, указана ровно одна цифра в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 100. Ширина 100, указана ровно одна цифра в каждом столбце" />
			<test points = "0" comment = "N = 30, M = 3. Ширина 3, указана много цифр в каждом столбце" />
			<test points = "0" comment = "N = 100, M = 100. Ширина 100, указана много цифр в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 10. Ширина 10, указана много цифр в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 100. Ширина 100, указана много цифр в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 100. Ширина 100, указана много цифр в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 100. Ширина 100, указана много цифр в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 100. Ширина 100, указана много цифр в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 5. Ширина 5, максимальная высота, указана много цифр в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 5. Ширина 5, максимальная высота, указана одна цифра в каждом столбце" />
			<test points = "0" comment = "N = 1000, M = 5. Ширина 5, максимальная высота, указана много цифр в каждом столбце" />
                </test-group>
            	<test-group
            		comment = "Подзадача 2. (1 &lt;= N &lt;= 1000, 1 &lt;= M &lt;= 100, есть пустой столбец)"
            		score = "sum"
            		feedback = "outcome"
            		group-bonus = "0"
            	>
         	        <test points = "1" comment = "N = 20, M = 2. Числа от 10 до 29, последний столбец не заполнен" />
			<test points = "1" comment = "N = 3, M = 4. Два последних столбца не заполнены, маленький тест" />
			<test points = "1" comment = "N = 4, M = 3. Два последних столбца не заполнены, маленький тест" />
			<test points = "1" comment = "N = 150, M = 3. Два последних столбца не заполнены, 150 чисел" />
			<test points = "1" comment = "N = 350, M = 3. Два последних столбца не заполнены, 350 чисел" />
			<test points = "1" comment = "N = 3, M = 99. 1000 последних столбцов не заполнены, 3 числа" />
			<test points = "1" comment = "N = 100, M = 3. 100 чисел 3**" />
			<test points = "1" comment = "N = 200, M = 3. Определяем только по последнему одному числу в старшем разряде" />
			<test points = "1" comment = "N = 112, M = 3. Средний стобец не заполнен, маленький тест" />
			<test points = "1" comment = "N = 201, M = 3. Маленький тест с двумя незаполненными столбцами" />
			<test points = "1" comment = "N = 1000, M = 100. Большой тест с 2 незаполненными последними стобцами" />
			<test points = "1" comment = "N = 1000, M = 10. Большой тест с 3 незаполненными последними стобцами" />
			<test points = "1" comment = "N = 1000, M = 10. Большой тест с 4 незаполненными последними стобцами" />
			<test points = "1" comment = "N = 1000, M = 100. Большой тест с 5 незаполненными последними стобцами" />
			<test points = "1" comment = "N = 1000, M = 5. Большой тест с 3 незаполненными последними стобцами" />
			<test points = "1" comment = "N = 1000, M = 5. Большой тест с 2 незаполненными последними стобцами" />
			<test points = "1" comment = "N = 1000, M = 5. Большой тест с 1 незаполненными последними стобцами" />
			<test points = "1" comment = "N = 1000, M = 10. Большой тест с 9 незаполненными последними стобцами" />
			<test points = "1" comment = "N = 1000, M = 10. Большой тест с 8 незаполненными последними стобцами" />
			<test points = "1" comment = "N = 1000, M = 10. Большой тест с 7 незаполненными последними стобцами" />
			<test points = "1" comment = "N = 1000, M = 100. Большой тест с 10 незаполненными стобцами" />
			<test points = "1" comment = "N = 1000, M = 50. Большой тест с 11 незаполненными стобцами" />
			<test points = "1" comment = "N = 1000, M = 50. Большой тест с 33 незаполненными стобцами" />
			<test points = "1" comment = "N = 1000, M = 25. Большой тест с 9 незаполненными стобцами" />
			<test points = "1" comment = "N = 1000, M = 20. Большой тест с 7 незаполненными стобцами" />
			<test points = "1" comment = "N = 1000, M = 33. Большой тест с 3 незаполненными стобцами" />
			<test points = "1" comment = "N = 1000, M = 11. Большой тест с 8 незаполненными стобцами" />
			<test points = "1" comment = "N = 1000, M = 12. Большой тест с 6 незаполненными стобцами" />
			<test points = "1" comment = "N = 1000, M = 16. Большой тест с 5 незаполненными стобцами" />
			<test points = "1" comment = "N = 1000, M = 99. Большой тест с 17 незаполненными стобцами" />
                </test-group>

            	<test-group
            		comment = "Подзадача 3. (1 &lt;= N &lt;= 100000, 1 &lt;= M &lt;= 100000, 1 &lt;= NM &lt;= 100000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
                    	<test points = "0" comment = "N = 100, M = 1000. Тест первой группы с большой шириной" />
			<test points = "0" comment = "N = 10, M = 10000. Тест первой группы с большой шириной" />
			<test points = "0" comment = "N = 10, M = 10000. Тест первой группы с большой шириной" />
			<test points = "0" comment = "N = 100, M = 1000. Тест первой группы с большой шириной" />
			<test points = "0" comment = "N = 10, M = 10000. Тест первой группы с большой шириной" />
			<test points = "0" comment = "N = 5, M = 20000. Большой тест с 3 незаполненными последними стобцами" />
			<test points = "0" comment = "N = 5, M = 20000. Большой тест с 2 незаполненными последними стобцами" />
			<test points = "0" comment = "N = 5, M = 20000. Большой тест с 1 незаполненными последними стобцами" />
			<test points = "0" comment = "N = 5, M = 20000. Большой тест с 100 незаполненными последними стобцами" />
			<test points = "0" comment = "N = 10, M = 10000. Большой тест с 9 незаполненными последними стобцами" />
			<test points = "0" comment = "N = 10, M = 10000. Большой тест с 999 незаполненными последними стобцами" />
			<test points = "0" comment = "N = 10, M = 10000. Большой тест с 8888 незаполненными последними стобцами" />
			<test points = "0" comment = "N = 10, M = 10000. Большой тест с 9999 незаполненными последними стобцами" />
			<test points = "0" comment = "N = 100, M = 1000. Большой тест с 50 незаполненными стобцами" />
			<test points = "0" comment = "N = 50, M = 2000. Большой тест с 11 незаполненными стобцами" />
			<test points = "0" comment = "N = 50, M = 2000. Большой тест с 33 незаполненными стобцами" />
			<test points = "0" comment = "N = 25, M = 4000. Большой тест с 9 незаполненными стобцами" />
			<test points = "0" comment = "N = 20, M = 5000. Большой тест с 7 незаполненными стобцами" />
			<test points = "0" comment = "N = 33, M = 3000. Большой тест с 3 незаполненными стобцами" />
			<test points = "0" comment = "N = 11, M = 9010. Большой тест с 8 незаполненными стобцами" />
			<test points = "0" comment = "N = 12, M = 8000. Большой тест с 6 незаполненными стобцами" />
			<test points = "0" comment = "N = 16, M = 6000. Большой тест с 5 незаполненными стобцами" />
			<test points = "0" comment = "N = 99, M = 1010. Большой тест с 17 незаполненными стобцами" />
			<test points = "0" comment = "N = 33, M = 3000. Большой тест с 23 незаполненными стобцами" />
			<test points = "0" comment = "N = 11, M = 9010. Большой тест с 5 незаполненными стобцами" />
			<test points = "0" comment = "N = 12, M = 8000. Большой тест с 6 незаполненными стобцами" />
			<test points = "0" comment = "N = 16, M = 6000. Большой тест с 3 незаполненными стобцами" />
			<test points = "0" comment = "N = 99, M = 1010. Большой тест с 94 незаполненными стобцами" />
                </test-group>

            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
